Update inbox settings
curl --request PATCH \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_url": "https://example.com/webhook"
}
'import requests
url = "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}"
payload = { "notification_url": "https://example.com/webhook" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notification_url: 'https://example.com/webhook'})
};
fetch('https://api.zapier.com/trigger-inbox/v1/inboxes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notification_url' => 'https://example.com/webhook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}"
payload := strings.NewReader("{\n \"notification_url\": \"https://example.com/webhook\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.zapier.com/trigger-inbox/v1/inboxes/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notification_url\": \"https://example.com/webhook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zapier.com/trigger-inbox/v1/inboxes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notification_url\": \"https://example.com/webhook\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"subscription": {
"app_key": "<string>",
"action_key": "<string>",
"inputs": {},
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"key": "<string>",
"name": "<string>",
"paused_reason": "user",
"notification_url": "<string>"
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}Inboxes
Update inbox settings
Partially update an inbox. Currently only notification_url can be updated.
PATCH
/
trigger-inbox
/
v1
/
inboxes
/
{id}
Update inbox settings
curl --request PATCH \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notification_url": "https://example.com/webhook"
}
'import requests
url = "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}"
payload = { "notification_url": "https://example.com/webhook" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notification_url: 'https://example.com/webhook'})
};
fetch('https://api.zapier.com/trigger-inbox/v1/inboxes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notification_url' => 'https://example.com/webhook'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zapier.com/trigger-inbox/v1/inboxes/{id}"
payload := strings.NewReader("{\n \"notification_url\": \"https://example.com/webhook\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.zapier.com/trigger-inbox/v1/inboxes/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notification_url\": \"https://example.com/webhook\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zapier.com/trigger-inbox/v1/inboxes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notification_url\": \"https://example.com/webhook\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"subscription": {
"app_key": "<string>",
"action_key": "<string>",
"inputs": {},
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"key": "<string>",
"name": "<string>",
"paused_reason": "user",
"notification_url": "<string>"
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}Body
application/json
Response
An inbox: a durable, user-scoped queue for a trigger subscription,
identified by its natural key.
An inbox: a durable, user-scoped queue for a trigger subscription,
identified by its natural key.
The reason the inbox was paused, if applicable.
user- userauthentication- authenticationauthentication_access_revoked- authentication_access_revokedpartner_revoked- partner_revokedsubscribe_failed- subscribe_failedmigrate_failed- migrate_failedabandoned- abandonedunknown- unknownupstream_failures- upstream_failures
Available options:
user, authentication, authentication_access_revoked, partner_revoked, subscribe_failed, migrate_failed, abandoned, unknown, upstream_failures Was this page helpful?